Subject: Re: [PATCH net-next 09/12] net/mlx5: Compare with old_dest param to modify rule destination

From: Leon Romanovsky <[email-masked]>
Date: Thu, 13 Jul 2023 20:43:17 +0300

On Thu, Jul 13, 2023 at 10:04:01AM -0700, Jakub Kicinski wrote:
> On Thu, 13 Jul 2023 09:33:45 +0300 Leon Romanovsky wrote:
> > > This says Fixes, should I quickly toss it into net so it makes
> > > tomorrow's PR?  
> > 
> > This is a fix, but it useful for this series only, which actually
> > needs to modify flow steering rule destinations on the fly.
> > 
> > There is no other code in mlx5 which needs this fix.
> 
> Reads like "can't be triggered with current code", in which case 
> the right thing to do is to add "can't be triggered with current
> code" to the commit message, rather than the Fixes tag.

The code is wrong, so comes Fixes line, but I can remove it.

> 
> I had a look thru the series yesterday, and it looks good to me
> (tho I'm no ipsec expert). Thanks for putting in the work!
> 
> Could you add some info about how the code in the series can be
> exercised / example configurations? And please CC Simon, it'd be
> great to get him / someone at Corigine to review.
> 
> And obviously Steffen, why did you not CC Steffen?! :o

It works exactly like "regular" IPsec, nothing special, except
now users can switch to switchdev before adding IPsec rules.

 devlink dev eswitch set pci/0000:06:00.0 mode switchdev

Same configurations as here:
https://lore.kernel.org/netdev/[email-masked]/
Packet offload mode:
  ip xfrm state offload packet dev <if-name> dir <in|out>
  ip xfrm policy .... offload packet dev <if-name>
Crypto offload mode:
  ip xfrm state offload crypto dev <if-name> dir <in|out>
or (backward compatibility)
  ip xfrm state offload dev <if-name> dir <in|out>

I didn't add Steffen as it is more flow steering magic series
and not IPsec :).

I'll resubmit on Sunday.

Thanks